import { Component } from '@angular/core';
import {
  BackendService,
  ScrumUserstory,
} from '../../services/backend.service';

@Component({
  selector: 'app-userstory-table',
  templateUrl: './userstory-table.component.html',
  styleUrls: ['./userstory-table.component.css'],
})
export class UserstoryTableComponent {
  public items: ScrumUserstory[] = [];

  constructor(private backendService: BackendService) {
    backendService.getUserstories().subscribe((response) => {
      if (response.status > 399) {
        alert('Fehler');
      } else {
        this.items.push(...response.body);
      }
    });
  }
}
